### Method

# Xdp Portal create_remote_desktop_session

#### Declaration [src]

    void
    xdp_portal_create_remote_desktop_session (
      XdpPortal* portal,
      XdpDeviceType devices,
      XdpOutputType outputs,
      XdpRemoteDesktopFlags flags,
      XdpCursorMode cursor_mode,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer data
    )

#### Description [src]

Creates a session for remote desktop.

When the request is done, `callback` will be called. You can then call `xdp_portal_create_remote_desktop_session_finish()` to get the results.

#### Parameters

`devices`

  Type: `XdpDeviceType`

  Which kinds of input devices to ofer in the new dialog.

`outputs`

  Type: `XdpOutputType`

  Which kinds of source to offer in the dialog.

`flags`

  Type: `XdpRemoteDesktopFlags`

  Options for this call.

`cursor_mode`

  Type: `XdpCursorMode`

  The cursor mode of the session.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable`

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  A callback to call when the request is done.

  The argument can be `NULL`.

`data`

  Type: `gpointer`

  Data to pass to `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.